For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Update a webhook endpoint. Only the fields you include in the request body will be updated; omitted fields remain unchanged.
The apiVersion of a webhook endpoint cannot be changed after creation.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
idstringRequired
The ID of the webhook endpoint to update.
Example: "wh_Xj8mK2pL9nR4vT7qY5wZ"
Headers
x-extend-api-version"2026-02-09"Optional
API version to use for the request. If you're using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a `400 Bad Request` or be set to a previous legacy version. See [API Versioning](https://docs.extend.ai/2026-02-09/developers/api-versioning) for more details.
x-extend-workspace-idstringOptional
The workspace ID to target. **Required** when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See [Authentication](https://docs.extend.ai/2026-02-09/developers/authentication) for details on API key scopes.
Request
This endpoint expects an object.
urlstringOptionalformat: "uri"
The URL that webhook events will be sent to.
namestringOptional>=1 character
A human-readable name for the webhook endpoint.
statusenumOptional
The status of the webhook endpoint.
Allowed values:
enabledEventslist of enumsOptional
The list of global event types to subscribe to.
advancedOptionsobjectOptional
Advanced configuration options for the webhook endpoint, including custom headers and payload delivery settings.
Response
Successfully updated webhook endpoint
objectenum
Allowed values:
idstring
Unique identifier for the webhook endpoint.
urlstringformat: "uri"
The URL that webhook events are sent to.
namestring
A human-readable name for the webhook endpoint.
statusenum
The status of the webhook endpoint.
Allowed values:
enabledEventslist of enums
The list of event types this endpoint is subscribed to at the global level. These are events that are not scoped to a specific resource.
apiVersionstring
advancedOptionsobject or null
Advanced configuration options for the webhook endpoint, including custom headers and payload delivery settings.
createdAtstringformat: "date-time"
The date and time the webhook endpoint was created.
Errors
400
Bad Request Error
401
Unauthorized Error
402
Payment Required Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
API version to use for the request. If you’re using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.
The workspace ID to target. Required when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See Authentication for details on API key scopes.